---
# yamllint disable rule=key-ordering
image: registry.gitlab.com/yakshaving.art/dockerfiles/docker-builder:0.0.1

services:
- docker:dind

stages:
- check
- build
- test
- publish

check:
  stage: check
  script:
  - bash .gitlab.d/ci/scripts/check.sh

build:
  stage: build
  script:
  - bash .gitlab.d/ci/scripts/build.sh

test:
  stage: test
  script:
  - exit 0  # this is _template, nothing to do here
  - bash .gitlab.d/ci/scripts/test.sh

publish:
  stage: publish
  script:
  - bash .gitlab.d/ci/scripts/publish.sh
  only:
  - master
  variables:
    # TRIGGERS is a space separated string of project paths which will be triggered if publish succeeds
    TRIGGERS: "" # "yakshaving.art/dockerfiles/dependent-project"
